commit:     2d031cc0423b5b00c6bf0d2590df23d2a1541bde
Author:     Pierre-Olivier Mercier <nemunaire <AT> nemunai <DOT> re>
AuthorDate: Mon Jun 22 16:06:41 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Thu Jul 16 14:38:41 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2d031cc0

www-apps/gitea: bump to 1.12.1

Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Pierre-Olivier Mercier <nemunaire <AT> nemunai.re>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 www-apps/gitea/Manifest                       |   1 +
 www-apps/gitea/files/1.12-fix-vendoring.patch |  13 +++
 www-apps/gitea/gitea-1.12.1.ebuild            | 126 ++++++++++++++++++++++++++
 3 files changed, 140 insertions(+)

diff --git a/www-apps/gitea/Manifest b/www-apps/gitea/Manifest
index 03f07b0b5f8..ec5260679a9 100644
--- a/www-apps/gitea/Manifest
+++ b/www-apps/gitea/Manifest
@@ -1,2 +1,3 @@
+DIST gitea-1.12.1.tar.gz 135104234 BLAKE2B 
36510e25e8c2cc1c718702a7cd0be74bbf5448beb33a90732599a4830b0899b37dfc9a58e3a8ffdb5037e93f185ba3b09a0ac7b8acd629c46b1982d6aeab1ec1
 SHA512 
6ba8a703272e611aac4c214cd818490a9615a9ab9b64ec22ec2c6331e865226324896f600218fb3b39cea7b6649456db7ff18e1857ece6964ab5d3c6d99c3aec
 DIST gitea-src-1.11.6.tar.gz 68915319 BLAKE2B 
8d8fd34fe38e153aa4af932a83933d0b5ad81a63bf7b7b5be59e64dd82db3282072686979a41fafa3ac2e523f79d6926ed057b2ed18645040bf1c446c6ab04b2
 SHA512 
57d5214a5e05581c134d42e00ec29fe15f3245a75440fca26c7162937570affc5a2e4ba8e903cb7f15fcb271144183ce5aa473457245f36d52686ea9f1cc93b3
 DIST gitea-src-1.11.8.tar.gz 68927493 BLAKE2B 
4e1b1d201848227bd5d5bfac5bbddc291e2f14d7262bb2f8353131b6284520ecda3f844e81c23e95c5cd4ef17a6414e0b3c6adf6e6be5c59f7367c19a2e549d8
 SHA512 
13216a4d98211eb1a5c319992c9c253ce6f7a7a343ebfdca18802eb599f7300a3c23adbba94784f70ca604751ced5aac7d663a210885554c61a24857de79b6e6

diff --git a/www-apps/gitea/files/1.12-fix-vendoring.patch 
b/www-apps/gitea/files/1.12-fix-vendoring.patch
new file mode 100644
index 00000000000..9baff97307a
--- /dev/null
+++ b/www-apps/gitea/files/1.12-fix-vendoring.patch
@@ -0,0 +1,13 @@
+diff --git a/vendor/modules.txt b/vendor/modules.txt
+index efbc866..1c34104 100644
+--- a/vendor/modules.txt
++++ b/vendor/modules.txt
+@@ -845,6 +845,8 @@ gopkg.in/yaml.v2
+ # mvdan.cc/xurls/v2 v2.1.0
+ ## explicit
+ mvdan.cc/xurls/v2
++# src.techknowlogick.com/xgo v0.0.0-20200602060627-a09175ea9056
++## explicit
+ # strk.kbt.io/projects/go/libravatar v0.0.0-20191008002943-06d1c002b251
+ ## explicit
+ strk.kbt.io/projects/go/libravatar

diff --git a/www-apps/gitea/gitea-1.12.1.ebuild 
b/www-apps/gitea/gitea-1.12.1.ebuild
new file mode 100644
index 00000000000..18b851d0c98
--- /dev/null
+++ b/www-apps/gitea/gitea-1.12.1.ebuild
@@ -0,0 +1,126 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit fcaps go-module tmpfiles systemd
+MY_PV="${PV/_rc/-rc}"
+
+DESCRIPTION="A painless self-hosted Git service"
+HOMEPAGE="https://gitea.io";
+
+if [[ ${PV} != 9999* ]] ; then
+       
SRC_URI="https://github.com/go-gitea/gitea/releases/download/v${MY_PV}/gitea-src-${MY_PV}.tar.gz
 -> ${P}.tar.gz"
+       KEYWORDS="~amd64 ~arm ~arm64"
+       S="${WORKDIR}"
+else
+       EGIT_REPO_URI="https://github.com/go-gitea/gitea";
+       inherit git-r3
+       S="${WORKDIR}/${P}"
+fi
+
+LICENSE="Apache-2.0 BSD BSD-2 ISC MIT MPL-2.0"
+SLOT="0"
+IUSE="+acct build-client pam sqlite"
+
+BDEPEND="build-client? ( >=net-libs/nodejs-10[npm] )"
+COMMON_DEPEND="
+       acct? (
+               acct-group/git
+               acct-user/git[gitea] )
+       pam? ( sys-libs/pam )"
+DEPEND="${COMMON_DEPEND}"
+RDEPEND="${COMMON_DEPEND}
+       dev-vcs/git"
+
+DOCS=(
+       custom/conf/app.ini.sample CONTRIBUTING.md README.md
+)
+FILECAPS=(
+       cap_net_bind_service+ep usr/bin/gitea
+)
+PATCHES=(
+       "${FILESDIR}/1.12-fix-vendoring.patch"
+)
+
+src_prepare() {
+       default
+
+       local sedcmds=(
+               -e "s#^RUN_MODE = dev#RUN_MODE = prod#"
+               -e "s#^ROOT =#ROOT = 
${EPREFIX}/var/lib/gitea/gitea-repositories#"
+               -e "s#^ROOT_PATH =#ROOT_PATH = ${EPREFIX}/var/log/gitea#"
+               -e "s#^APP_DATA_PATH = data#APP_DATA_PATH = 
${EPREFIX}/var/lib/gitea/data#"
+               -e "s#^HTTP_ADDR = 0.0.0.0#HTTP_ADDR = 127.0.0.1#"
+               -e "s#^MODE = console#MODE = file#"
+               -e "s#^LEVEL = Trace#LEVEL = Info#"
+               -e "s#^LOG_SQL = true#LOG_SQL = false#"
+               -e "s#^DISABLE_ROUTER_LOG = false#DISABLE_ROUTER_LOG = true#"
+               -e "s#^APP_ID =#;APP_ID =#"
+               -e "s#^TRUSTED_FACETS =#;TRUSTED_FACETS =#"
+       )
+
+       sed -i "${sedcmds[@]}" custom/conf/app.ini.sample || die
+       if use sqlite ; then
+               sed -i -e "s#^DB_TYPE = .*#DB_TYPE = sqlite3#" 
custom/conf/app.ini.sample || die
+       fi
+
+       einfo "Remove tests which are known to fail with network-sandbox 
enabled."
+       rm ./modules/migrations/github_test.go || die
+
+       einfo "Remove tests which depend on gitea git-repo."
+       rm ./modules/git/blob_test.go || die
+       rm ./modules/git/repo_test.go || die
+
+       # Remove already build assets (like frontend part)
+       use build-client && emake clean-all
+}
+
+src_compile() {
+       local gitea_tags=(
+               bindata
+               $(usev pam)
+               $(usex sqlite 'sqlite sqlite_unlock_notify' '')
+       )
+       local gitea_settings=(
+               "-X 
code.gitea.io/gitea/modules/setting.CustomConf=${EPREFIX}/etc/gitea/app.ini"
+               "-X 
code.gitea.io/gitea/modules/setting.CustomPath=${EPREFIX}/var/lib/gitea/custom"
+               "-X 
code.gitea.io/gitea/modules/setting.AppWorkPath=${EPREFIX}/var/lib/gitea"
+       )
+       local makeenv=(
+               TAGS="${gitea_tags[@]}"
+               LDFLAGS="-extldflags \"${LDFLAGS}\" ${gitea_settings[@]}"
+       )
+       [[ ${PV} != 9999* ]] && makeenv+=("DRONE_TAG=${MY_PV}")
+
+       if use build-client; then
+               # -j1 as Makefile doesn't handle dependancy correctly, and is 
not
+               # useful as golang compiler don't use this info.
+               env "${makeenv[@]}" emake -j1 build
+       else
+               env "${makeenv[@]}" emake backend
+       fi
+}
+
+src_install() {
+       dobin gitea
+
+       einstalldocs
+
+       newconfd "${FILESDIR}/gitea.confd-r1" gitea
+       newinitd "${FILESDIR}/gitea.initd-r3" gitea
+       newtmpfiles - gitea.conf <<-EOF
+               d /run/gitea 0755 git git
+       EOF
+       systemd_newunit "${FILESDIR}"/gitea.service-r2 gitea.service
+
+       insinto /etc/gitea
+       newins custom/conf/app.ini.sample app.ini
+       if use acct ; then
+               fowners root:git /etc/gitea/{,app.ini}
+               fperms g+w,o-rwx /etc/gitea/{,app.ini}
+
+               diropts -m0750 -o git -g git
+               keepdir /var/lib/gitea /var/lib/gitea/custom /var/lib/gitea/data
+               keepdir /var/log/gitea
+       fi
+}

Reply via email to